Assistindo vídeos no XMMS

Olá pessoal do VOL, este é o meu primeiro artigo e espero que gostem. Ele mostra como assistir qualquer tipo de vídeo (ou pelo menos os mais comuns) pelo XMMS, transformando ele num front-end do MPlayer.

[ Hits: 22.497 ]

Por: Leandro Santiago em 14/02/2006 | Blog: http://leandrosan.wordpress.com


Baixando os arquivos necessários



Se a distro que você usa não tiver o XMMS instalado, vá no site do projeto e baixe a versão 1.2.10, na sessão download. Mas se o XMMS já estiver instalado (o que é muito provável), esse passo não é necessário.

O passo seguinte é baixar o MPlayer. Baixe a última versão. A versão que utilizei foi a MPlayer-1.0pre7try2.tar.bz2, mas pode ser que quando você leia este artigo já haja uma versão mais recente.

Depois resta baixar o plugin (foco deste artigo). O site do projeto é:
Finalmente, os codecs do MPlayer podem ser encontrados no sessão download, com o nome de essential-"versão".tar.bz2

Se você estiver com pressa, aqui vão os links diretos para os arquivos, nas versões que eu utilizei:

XMMS:
http://www.xmms.org/files/1.2.x/xmms-1.2.10.tar.bz2


MPlayer: ftp://ftp5.mplayerhq.hu/mplayer/releases/MPlayer-1.0pre7try2.tar.bz2

Plugin:
http://prdownloads.sourceforge.net/.../xmmsmplayer-0.5.tar.gz

Codecs do MPlayer:
ftp://ftp2.mplayerhq.hu/.../essential-20050412.tar.bz2 Pronto! Agora vamos à compilação.

    Próxima página

Páginas do artigo
   1. Baixando os arquivos necessários
   2. A compilação
   3. Instalando os codecs
Outros artigos deste autor

Brincando com vetores

Recursos avançados do bash que você não aprende na escola

Rodando vídeos .rmvb no Linux

Mudando o tema dos cursores do mouse no Linux

Brincando com vetores - complemento

Leitura recomendada

Slackware Current redondo com XFCE

Autenticação de cliente 802.1x WPA utilizando EAP-TTLS FreeRADIUS + Samba + LDAP

Configurando Resolução de Vídeo e Taxa de Atualização via Terminal

Ubuntu Multimídia com Studio

Configurando o seu teclado sem fio (e, via de regra, sem LEDs indicadores de estado) no Linux

  
Comentários
[1] Comentário enviado por reimassupilami em 14/02/2006 - 08:45h

boa! tenho me batido muito pra rodar videos com descencia no slackware... acho que esse esquema pode resolver minha vida, hehehe...

legal cara, parabens...

[2] Comentário enviado por feraf em 14/02/2006 - 09:25h

Eu nunca tinha testado esse plugin, mas eu já testei outro com nome similar que tem a mesma função, o XMMPlayer (http://thegraveyard.org/xmmplayer.php). Vou experimentar esse XMMS-MPlayer para ver qual é melhor.

Parabéns pelo artigo!

[3] Comentário enviado por slacklex em 14/02/2006 - 13:54h

Muito útil esse plugin. Parabéns.

[4] Comentário enviado por removido em 14/02/2006 - 15:16h

Cara muito bom mesmo parabens pelo artigo.

Que Deus te abençoe.

[5] Comentário enviado por reimassupilami em 14/02/2006 - 20:58h

eu ja tenho o xmms e o mplayer rodando... seria entao só o caso de instalar o plugin? uso slack...

[6] Comentário enviado por reimassupilami em 14/02/2006 - 21:10h

eu instalei somente o plugin, dae foi legal... mas e agora, nao tem nenhuma configuração? o meu nao roda em tela cheia... nao achei onde configura...

[7] Comentário enviado por wester em 15/02/2006 - 04:15h

É, deu certo por aqui. Gostei!

[8] Comentário enviado por surks em 15/02/2006 - 11:15h

No Debian, muda muito os comandos ?

[9] Comentário enviado por arthos em 18/02/2006 - 09:21h

Meu xmms trava as vezes quando uso algum comando dele na telça do video, como j (buscar arquivos) por exemplo.

[10] Comentário enviado por tenchi em 19/02/2006 - 10:15h

Em relação à configuração do plugin, basta ir em preferências e selecionar o plugin "mplayer-plugin for xmms" (na aba plugins de e/s de áudio) , depois o botão configurar, logo abaixo. Então abrirá uma janela com várias configurações. E sobre o XMMPlayer, o plugin citado pelo feraf, eu testei e também achei muito bom.
Naum acho que o processo de instalação varie muito de distro para distro, basta vc ter os pacotes de desenvolvimento instalados corretamente.
Muito obrigado por terem gostado do meu artigo, estava meio com medo, por ser meu primeiro artigo. Valew e até a próxima.

[11] Comentário enviado por valteirsf em 30/10/2007 - 22:38h

?comentario=
Tá dando esse esse erro:

*** full path to glib-config.
configure: error: *** GLIB >= 1.2.2 not installed - please install first ***

Acho q tá faltando instalar alguma dependencia, alguem sabe qual o pacote q devo instalar?


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts